from launch import LaunchDescription
from launch_ros.actions import Node

def generate_launch_description():
    return LaunchDescription([
        Node(
            package='fanuc_web_connector',
            executable='replay_manager',
            name='replay_manager'
        ),
        Node(
            package='fanuc_web_connector',
            executable='trajectory_composer',
            name='trajectory_composer',
            namespace='fanuc_1'
        ),
        Node(
            package='fanuc_web_connector',
            executable='trajectory_composer',
            name='trajectory_composer',
            namespace='fanuc_2'
        ),
        Node(
            package='rosbridge_server',
            executable='rosbridge_websocket',
            name='rosbridge_websocket'
        )
    ])